FREAD(3)

NAME
fread, fwrite - buffered binary input/output

SYNOPSIS
#include <sys/types.h>
#include <stdio.h>
size_t fread(void *ptr, size_t itemsize, size_t nitems, FILE *stream)
size_t fwrite(void *ptr, size_t itemsize, size_t nitems, FILE *stream)

DESCRIPTION
Fread reads, into a block beginning at ptr, nitems of data of the type of *ptr from the named input stream. It returns the number of items actually read.

If stream is stdin and the standard output is line buffered, then any partial output line will be flushed before any call to read(2) to satisfy the fread.

Fwrite appends at most nitems of data of the type of *ptr beginning at ptr to the named output stream. It returns the number of items actually written.

SEE ALSO
read(2), write(2), fopen(3), getc(3), putc(3), gets(3), puts(3), printf(3), scanf(3).

DIAGNOSTICS
Fread and fwrite return 0 upon end of file or error.